import { render } from '@testing-library/react'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import { userChallengeData } from 'tests/__mocks__/userChallengeData.mock'
import ChallengeCard from './ChallengeCard'

const store = createMockEcolyoStore()

describe('ChallengeCard component', () => {
  it('should be rendered correctly', () => {
    const { container } = render(
      <Provider store={store}>
        <ChallengeCard
          userChallenge={userChallengeData[1]}
          indexSlider={0}
          index={0}
          cardWidth={200}
          cardHeight={400}
          moveToSlide={jest.fn()}
        />
      </Provider>
    )
    expect(container).toMatchSnapshot()
  })
  it('should render locked Card', () => {
    const { container } = render(
      <Provider store={store}>
        <ChallengeCard
          userChallenge={userChallengeData[4]}
          indexSlider={0}
          index={0}
          cardWidth={200}
          cardHeight={400}
          moveToSlide={jest.fn()}
        />
      </Provider>
    )
    expect(container.getElementsByClassName('cardLocked').length).toBeTruthy()
  })
  it('should render unlocked Card', () => {
    const { container } = render(
      <Provider store={store}>
        <ChallengeCard
          userChallenge={userChallengeData[3]}
          indexSlider={0}
          index={0}
          cardWidth={200}
          cardHeight={400}
          moveToSlide={jest.fn()}
        />
      </Provider>
    )
    expect(container.getElementsByClassName('cardUnlocked').length).toBeTruthy()
  })
  it('should render ongoing Card', () => {
    const { container } = render(
      <Provider store={store}>
        <ChallengeCard
          userChallenge={userChallengeData[2]}
          indexSlider={0}
          index={0}
          cardWidth={200}
          cardHeight={400}
          moveToSlide={jest.fn()}
        />
      </Provider>
    )
    expect(container.getElementsByClassName('onGoing').length).toBeTruthy()
  })
})
