import React, { useState } from 'react'
import '../connection.scss'
import EpglBill from './EpglBill'
import EpglConnectModal from './EpglConnectModal/EpglConnectModal'
import EpglForm from './EpglForm'

const EpglInit = () => {
  const [openModal, setOpenModal] = useState(false)
  const [showForm, setShowForm] = useState(false)
  const [hasCreatedAccount, setHasCreatedAccount] = useState(false)

  return (
    <>
      {!showForm ? (
        <EpglBill openModal={setOpenModal} />
      ) : (
        <EpglForm hasCreatedAccount={hasCreatedAccount} />
      )}
      <EpglConnectModal
        open={openModal}
        setShowForm={setShowForm}
        setHasCreatedAccount={setHasCreatedAccount}
        closeModal={setOpenModal}
      />
    </>
  )
}

export default EpglInit
