import { render, screen } from '@testing-library/react'
import ExplorationOngoing from 'components/Exploration/ExplorationOngoing'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import { userChallengeData } from 'tests/__mocks__/userChallengeData.mock'

jest.mock('services/challenge.service', () => {
  return jest.fn(() => ({
    updateUserChallenge: jest.fn(),
    isChallengeDone: jest.fn(),
  }))
})

describe('ExplorationOngoing component', () => {
  it('should be rendered correctly', () => {
    const store = createMockEcolyoStore()
    render(
      <Provider store={store}>
        <ExplorationOngoing userChallenge={userChallengeData[0]} />
      </Provider>
    )

    expect(
      screen.getByText(userChallengeData[1].exploration.description)
    ).toBeInTheDocument()
    expect(
      screen.getByText(
        userChallengeData[1].exploration.complementary_description
      )
    ).toBeInTheDocument()
  })
})
